# Ticket | xrpl
Documentation for xrpl

# Interface Ticket

The Ticket object type represents a Ticket, which tracks an account sequence number that has been set aside for future use. You can create new tickets with a TicketCreate transaction.

#### Hierarchy

- BaseLedgerEntry
- HasPreviousTxnID
  - Ticket

- Defined in packages/xrpl/src/models/ledger/Ticket.ts:10

#####
Index

### Properties

Account
Flags
LedgerEntryType
OwnerNode
PreviousTxnID
PreviousTxnLgrSeq
TicketSequence
index

## Properties

### Account

Account: string

The account that owns this Ticket.

- Defined in packages/xrpl/src/models/ledger/Ticket.ts:13

### Flags

Flags: number

A bit-map of Boolean flags enabled for this Ticket. Currently, there are no flags defined for Tickets.

- Defined in packages/xrpl/src/models/ledger/Ticket.ts:18

### LedgerEntryType

LedgerEntryType: "Ticket"

- Defined in packages/xrpl/src/models/ledger/Ticket.ts:11

### OwnerNode

OwnerNode: string

A hint indicating which page of the owner directory links to this object, in case the directory consists of multiple pages.

- Defined in packages/xrpl/src/models/ledger/Ticket.ts:23

### PreviousTxnID

PreviousTxnID: string

The identifying hash of the transaction that most recently modified this object.

Inherited from HasPreviousTxnID.PreviousTxnID

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:10

### PreviousTxnLgrSeq

PreviousTxnLgrSeq: number

The index of the ledger that contains the transaction that most recently modified this object.

Inherited from HasPreviousTxnID.PreviousTxnLgrSeq

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:15

### TicketSequence

TicketSequence: number

The Sequence Number this Ticket sets aside.

- Defined in packages/xrpl/src/models/ledger/Ticket.ts:25

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc